Step 1 of 4: Choose Issues

Cancel

T Key Summary Assignee Reporter Status Created Updated Components Description
Sub-task JBIDE-19195

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [BrowserSim]

Konstantin Marmalyukov (Inactive) Alexey Kazakov Closed browsersim, cordovasim

For JBIDE 4.2.3.Beta1 [BrowserSim]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA

Sub-task JBIDE-19171

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [JavaEE]

Alexey Kazakov Alexey Kazakov Closed cdi, jsf, seam2

For JBIDE 4.2.3.Beta1 [JavaEE]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA

Sub-task JBIDE-19132

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [OpenShift]

André Dietisheim Nick Boldt Closed openshift

For JBIDE 4.2.3.Beta1 [OpenShift]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

4. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for OpenShift task JIRA

Sub-task JBIDE-19131

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [Base]

Fred Bricon Nick Boldt Closed common, usage

For JBIDE 4.2.3.Beta1 [Base]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for Base task JIRA

Sub-task JBIDE-19130

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [Hibernate]

Koen Aers Nick Boldt Closed hibernate

For JBIDE 4.2.3.Beta1 [Hibernate]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for Hibernate task JIRA

Sub-task JBIDE-19129

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [Server]

Rob Stryker (Inactive) Nick Boldt Closed server

For JBIDE 4.2.3.Beta1 [Server]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for Server task JIRA

Sub-task JBIDE-19128

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [Forge]

Koen Aers Nick Boldt Closed forge

For JBIDE 4.2.3.Beta1 [Forge]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for Forge task JIRA

Sub-task JBIDE-19127

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [VPE]

Konstantin Marmalyukov (Inactive) Nick Boldt Closed visual-page-editor-core

For JBIDE 4.2.3.Beta1 [VPE]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for VPE task JIRA

Sub-task JBIDE-19126

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [JST]

Alexey Kazakov Nick Boldt Closed common

For JBIDE 4.2.3.Beta1 [JST]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

2. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for JST task JIRA

Sub-task JBIDE-19125

JBIDE-19124 For JBIDE 4.2.3.Beta1: Prepare for JBT 4.2.3 / JBDS 8.1.0 [Aerogear]

Gorkem Ercan Nick Boldt Closed aerogear-hybrid, cordovasim

For JBIDE 4.2.3.Beta1 [Aerogear]: Please perform the following tasks:

1. Ensure your component features/plugins have been properly upversioned, eg., from 1.0.1 to 1.0.2 or from 1.0.2 to 1.0.3.

Please also ensure that the version of your plugins in the master (4.3.x) branch is a LARGER version, to prevent a user from accidentally updating from your Mars version to your Luna version. For example, org.jboss.tools.stacks.core cannot be version 1.1.1 in JBDS 8.0.2, and 1.1.0 in JBDS 9.

mvn -Dtycho.mode=maven org.eclipse.tycho:tycho-versions-plugin:0.22.0:set-version -DnewVersion=4.3.0-SNAPSHOT

2. In the jbosstools-4.2.x branch, update your root pom to use parent pom version 4.2.3.Beta1-SNAPSHOT

  <parent>
    <groupId>org.jboss.tools</groupId>
    <artifactId>parent</artifactId>
    <version>4.2.3.Beta1-SNAPSHOT</version>
  </parent>

3. Ensure you've built & run your plugin tests using the latest target platform version:

mvn clean verify -Dtpc.version=4.42.0.Beta1-SNAPSHOT 

4. Close (do not resolve) this JIRA when done.

Search for all task JIRA, or Search for Aerogear task JIRA

Cancel